slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPNLEIGSSetFullBasis

Choose between TOAR-basis (default) and full-basis variants of the NLEIGS method.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSSetFullBasis(NEP nep,PetscBool fullbasis)

Logically Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| fullbasis | - true if the full-basis variant must be selected

### Options Database Key

| -nep_nleigs_full_basis | - Sets the full-basis flag

### Notes

The default is to use a compact representation of the Krylov basis, that is, V = (I otimes U) S, with a tensor BV. This behaviour can be changed so that the full basis V is explicitly stored and operated with. This variant is more expensive in terms of memory and computation, but is necessary in some cases, particularly for two-sided computations, see NEPSetTwoSided().

In the full-basis variant, the NLEIGS solver uses an EPS object to explicitly solve the linearized eigenproblem, see NEPNLEIGSGetEPS().

### See Also

NEPNLEIGSGetFullBasis(), NEPNLEIGSGetEPS(), NEPSetTwoSided(), BVCreateTensor()

### Level

advanced

### Location

src/nep/impls/nleigs/nleigs.c

### Examples

src/nep/tutorials/ex42.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages